Subject: bug#7167: 23.2; w32-shell-execute doc

From: Ken Brown <[email-masked]>
Date: Fri, 08 Oct 2010 11:08:21 -0400

On 10/8/2010 5:52 AM, Eli Zaretskii wrote:
> Found the problem.  There's nothing wrong with the Windows build
> system per se.  The problem is that emacs-23.2 tarball comes with a
> src/buildobj.h from a Unix system where it was tarred, which is
> baaaaad, and not only on Windows.  This causes Make not to create
> src/buildobj.h as suitable for the actual build on the target
> platform, and the rest is history.
>
> I've just installed a fix in the emacs-23 branch (revno 100091 and a
> followup change in 100092) to exclude this file from the tarball.
>
> To fix this locally, just remove src/buildobj.h and rebuild Emacs.

This also fixes bug#7127.  I'll write a separate message about that.

Ken